<template>
  <form @submit.prevent="submitForm">
    <div class="form-control">
      <label for="email">Votre adresse mail</label>
      <input type="email" id="email" v-model.trim="email" />
    </div>
    <div class="form-control">
      <label for="message">Message</label>
      <textarea rows="5" id="message" v-model.trim="message"></textarea>
    </div>
    <p class="errors" v-if="!formIsValid">
      Merci de rentrer un e-mail valide et un message non vide.
    </p>
    <div class="actions">
      <base-button>Envoyer</base-button>
    </div>
  </form>
</template>

<script>
export default {
  data() {
    return {
      email: "",
      message: "",
      formIsValid: true,
    };
  },
  methods: {
    submitForm() {
      this.formIsValid = true;
      if (
        this.email === "" ||
        !this.email.includes("@") ||
        this.message === ""
      ) {
        this.formIsValid = false;
        return;
      }
      
      this.$store.dispatch("requests/ContactService", {
        email: this.email,
        message: this.message,
        serviceId: this.$route.params.id,
        coachId: this.$route.params.id_coach,
      });
      this.$router.replace("/services");
    },
  },
};
</script>

<style scoped>
form {
  margin: 1rem;
  border: 1px solid #ccc;
  border-radius: 12px;
  padding: 1rem;
}

.form-control {
  margin: 0.5rem 0;
}

label {
  font-weight: bold;
  margin-bottom: 0.5rem;
  display: block;
}

input,
textarea {
  display: block;
  width: 100%;
  font: inherit;
  border: 1px solid #ccc;
  padding: 0.15rem;
}

input:focus,
textarea:focus {
  border-color: #74146c;
  background-color: #d69cd1;
  outline: none;
}

.errors {
  font-weight: bold;
  color: #e2302a;
}

.actions {
  text-align: center;
}
</style>